org.modeshape.jcr.cache.change

## Class NodeReordered

- java.lang.Object
- - org.modeshape.jcr.cache.change.Change
  - - org.modeshape.jcr.cache.change.AbstractNodeChange
    - - org.modeshape.jcr.cache.change.NodeReordered

- All Implemented Interfaces:
    Serializable

      public class NodeReordered
      extends AbstractNodeChange

  A change event which is generated by a `Node.orderBefore(String, String)` operation.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.modeshape.jcr.cache.change.AbstractNodeChange

      `path`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NodeReordered(NodeKey key, Name primaryType, Set<Name> mixinTypes, NodeKey parent, Path newPath, Path oldPath, Path reorderedBeforePath, boolean queryable)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Path` | `getOldPath()`
    `NodeKey` | `getParent()`
    `Path` | `getReorderedBeforePath()` Gets the path of the node at the "destination" of the reordering.

    - ### Methods inherited from class org.modeshape.jcr.cache.change.AbstractNodeChange

      `getKey, getMixinTypes, getPath, getPrimaryType, isQueryable, isType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NodeReordered

          public NodeReordered(NodeKey key,
                       Name primaryType,
                       Set<Name> mixinTypes,
                       NodeKey parent,
                       Path newPath,
                       Path oldPath,
                       Path reorderedBeforePath,
                       boolean queryable)

  - ### Method Detail

    - #### getOldPath

          public Path getOldPath()

    - #### getParent

          public NodeKey getParent()

    - #### getReorderedBeforePath

          public Path getReorderedBeforePath()

      Gets the path of the node at the "destination" of the reordering.
      Returns:
        either a node path or `null`, in case a reordering has happened at the end of the children list

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.